
Project Sections - Bug #2275

Wrong method name in section_project_patch.rb

09 Jan 2014 14:37 - Nicolas Brisac

Status: Closed Start date: 09 Jan 2014

Priority: Major Due date: 31 May 2014

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.0.2   

Redmine version: 2.4.1 External issue:  

Description

Looks like a typo.

session_id should be section_id at line 48.

It causes a 500 error and, obviously, the project is not assigned to the proper section.

Here is a patch :

--- lib/section_project_patch.rb    2014-01-09 12:43:26.000000000 +0000

+++ lib/section_project_patch.rb.new    2014-01-09 12:43:10.000000000 +0000

@@ -45,7 +45,7 @@

         def update_descendants

             if child?

-                update_attribute(:session_id, parent.session_id)

+                update_attribute(:section_id, parent.section_id)

             end

             Project.update_all({ :section_id => self.section_id },

                                [ 'lft > ? AND rgt < ?', self.lft, self.rgt ])

Associated revisions

Revision 18 - 31 May 2014 22:44 - Andriy Lesyuk

Renamed CSS file, applied community patches (#2252, #2253, #2275 and #2279)

History

#1 - 31 May 2014 20:00 - Andriy Lesyuk

- Status changed from New to Open

- Assignee set to Andriy Lesyuk

- Target version set to 0.0.2

#2 - 31 May 2014 22:39 - Andriy Lesyuk

- Due date set to 31 May 2014

- Status changed from Open to Closed

- % Done changed from 0 to 100

Thank you very much, Nicolas Brisac!

#3 - 31 May 2014 22:39 - Andriy Lesyuk

- Description updated
